Subject: bug#13152: 24.2.90; [REGRESSION] dired-get-marked-files changed

From: Leo <[email-masked]>
Date: Wed, 12 Dec 2012 10:23:26 +0800

1. Eval
(progn
  (require 'dired-x)
  (setq dired-guess-shell-alist-user
        '(("." (let ((files (dired-get-marked-files t current-prefix-arg)))
                 (message "%S" (current-buffer))
                 (dired-guess-default files))))))

2. In a dired buffer, run `!' (dired-do-shell-command) twice
   first without marking any file then with some files marked

You should get an error when files are marked. You'll notice in the
second run, the current-buffer has changed to ' *Marked Files*'.

Note in previous versions of Emacs, dired-get-marked-files throws an
error when run in a non-dired buffer, but in 24.2.90 it returns '(nil).

Leo